Index: linderModel.py
===================================================================
--- CylinderModel.py	(revision a1542aaea8c3c4b7e87ee6444cd821536e45ba02)
+++ 	(revision )
@@ -1,8 +1,0 @@
-"""
-Drop-in replacement for sasview cylinder model.
-
-No rescaling or renaming of the parameters.
-"""
-from sasmodels.sasview_model import make_class
-from sasmodels.models import cylinder
-CylinderModel = make_class(cylinder, dtype='single')
Index: doc/Makefile
===================================================================
--- doc/Makefile	(revision a84a0cac83cecece77ff644df4f2552ef1452b62)
+++ doc/Makefile	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -85,5 +85,5 @@
 
 clean:
-	-$(RMDIR) _build model api ref/models
+	-$(RMDIR) _build model api ref$(PATHSEP)models
 
 html: build
Index: sasmodels/models/bessel.py
===================================================================
--- sasmodels/models/bessel.py	(revision ad9af31d75a4f3938e9694c12b5015b4c6efec6b)
+++ sasmodels/models/bessel.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -33,5 +33,5 @@
 Validation of our code was done by comparing the output of the 1D model
 to the output of the software provided by the NIST (Kline, 2006).
-Figure :num:`figure #sphere-comparison` shows a comparison of the output
+Figure :numref:`figure #sphere-comparison` shows a comparison of the output
 of our model and the output of the NIST software.
 
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 26141cba42ea53a3ca3b54e60b579f5525dd583d)
+++ sasmodels/models/cylinder.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -31,5 +31,5 @@
 To provide easy access to the orientation of the cylinder, we define the
 axis of the cylinder using two angles $\theta$ and $\phi$. Those angles
-are defined in :num:`figure #cylinder-angle-definition`.
+are defined in :numref:`figure #cylinder-angle-definition`.
 
 .. _cylinder-angle-definition:
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 43b7eea5794b4eb3362114ebde67ff2fb1c38fdc)
+++ sasmodels/models/parallelepiped.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -7,5 +7,5 @@
 ----------
 
-| This model calculates the scattering from a rectangular parallelepiped (:num:`Figure #parallelepiped-image`).
+| This model calculates the scattering from a rectangular parallelepiped (:numref:`Figure #parallelepiped-image`).
 | If you need to apply polydispersity, see also :ref:`rectangular-prism`.
 
Index: sasmodels/models/porod.py
===================================================================
--- sasmodels/models/porod.py	(revision 1ce6e8231452d582e846afe023a22e987fe25c95)
+++ sasmodels/models/porod.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -19,4 +19,9 @@
     q = \sqrt{q_x^2+q_y^2}
 
+References
+----------
+
+G Porod. *Kolloid Zeit*. 124 (1951) 83.
+L A Feigin, D I Svergun, G W Taylor. *Structure Analysis by Small-Angle X-ray and Neutron Scattering*. Springer. (1987)
 """
 
Index: sasmodels/models/squarewell.py
===================================================================
--- sasmodels/models/squarewell.py	(revision a84a0cac83cecece77ff644df4f2552ef1452b62)
+++ sasmodels/models/squarewell.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -14,7 +14,5 @@
 The interaction potential is:
 
-.. comment::
-
-  .. image:: img/image225.PNG
+  .. image:: img\squarewell.png
 
 .. math::
@@ -37,8 +35,8 @@
     q = \sqrt{q_x^2 + q_y^2}
 
+References
+----------
 
-REFERENCE
-
-R V Sharma, K C Sharma, *Physica*, 89A (1977) 213
+R V Sharma, K C Sharma, *Physica*, 89A (1977) 213.
 
 """
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 43b7eea5794b4eb3362114ebde67ff2fb1c38fdc)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -36,5 +36,5 @@
 we define the axis of the cylinder using the angles $\theta$, $\phi$
 and $\psi$. These angles are defined on
-:num:`figure #triaxial-ellipsoid-angles`.
+:numref:`figure #triaxial-ellipsoid-angles`.
 The angle $\psi$ is the rotational angle around its own $c$ axis
 against the $q$ plane. For example, $\psi = 0$ when the
Index: sasmodels/resolution.py
===================================================================
--- sasmodels/resolution.py	(revision a146eaab015a1387f12891d14d24aa44e466c81c)
+++ sasmodels/resolution.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
@@ -196,7 +196,5 @@
                 \,dq_\perp dq_\parallel
 
-
-    Definition
-    ----------
+    **Definition**
 
     We are using the mid-point integration rule to assign weights to each
